Subject: [alpine-aports] Patches to add perl-anyevent-influxdb

From: Nick Andrew <[email-masked]>
Date: Sat, 13 Aug 2016 14:56:06 +0000

AnyEvent::InfluxDB is an interface to the InfluxDB time series database.

I also added an upgrade for perl-moose to 2.1804 as the previous
version no longer exists on CPAN. Same for perl-mojolicious, although
Mojolicious is not related to AnyEvent::InfluxDB.

[PATCH 1/7] Upgrade perl-moose to 2.1804
[PATCH 2/7] testing/perl-algorithm-diff: new aport
[PATCH 3/7] testing/perl-uri-encode-xs: new aport
[PATCH 4/7] testing/perl-anyevent: new aport
[PATCH 5/7] testing/perl-anyevent-http: new aport
[PATCH 6/7] testing/perl-anyevent-influxdb: new aport
[PATCH 7/7] testing/perl-mojolicious: upgrade to 7.01

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Nick Andrew <[email-masked]>
Date: Sat, 13 Aug 2016 14:56:09 +0000

http://search.cpan.org/~dfarrell/URI-Encode-XS-0.09
A Perl URI encoder/decoder using C
---
 testing/perl-uri-encode-xs/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-uri-encode-xs/APKBUILD

diff --git a/testing/perl-uri-encode-xs/APKBUILD b/testing/perl-uri-encode-xs/APKBUILD
new file mode 100644
index 0000000..db1b58a
--- /dev/null
+++ b/testing/perl-uri-encode-xs/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <[email-masked]>
+# Maintainer: Nick Andrew <[email-masked]>
+pkgname=perl-uri-encode-xs
+_pkgreal=URI-Encode-XS
+pkgver=0.09
+pkgrel=0
+pkgdesc="a Perl URI encoder/decoder using C"
+url="http://search.cpan.org/dist/URI-Encode-XS/"
+arch="all"
+license="freebsd"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DF/DFARRELL/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="f69fed801e7f5151dbbeefc5595a6a75  URI-Encode-XS-0.09.tar.gz"
+sha256sums="2770fe4d947d5947f0e6ffe90fe13de0357e0c9205418ab72a85148b12bf4511  URI-Encode-XS-0.09.tar.gz"
+sha512sums="e96c554af5faaa53326b0f583e09deb46fc0c4853a9b154709b32863767001e066e5625f25dc841736f6cce50d59a963d138838418b020acf351f0a08aa058aa  URI-Encode-XS-0.09.tar.gz"
-- 
2.9.3

---

---

From: Nick Andrew <[email-masked]>
Date: Sat, 13 Aug 2016 14:56:12 +0000

http://search.cpan.org/~ajgb/AnyEvent-InfluxDB-0.13
An asynchronous library for InfluxDB time-series database
---
 testing/perl-anyevent-influxdb/APKBUILD | 41 +++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-anyevent-influxdb/APKBUILD

diff --git a/testing/perl-anyevent-influxdb/APKBUILD b/testing/perl-anyevent-influxdb/APKBUILD
new file mode 100644
index 0000000..7f3eeba
--- /dev/null
+++ b/testing/perl-anyevent-influxdb/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <[email-masked]>
+# Maintainer: Nick Andrew <[email-masked]>
+pkgname=perl-anyevent-influxdb
+_pkgreal=AnyEvent-InfluxDB
+pkgver=0.13
+pkgrel=0
+pkgdesc="An asynchronous library for InfluxDB time-series database"
+url="http://search.cpan.org/dist/AnyEvent-InfluxDB/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-uri perl-list-moreutils perl-anyevent-http perl-uri-encode-xs perl-json perl-moo perl-anyevent"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AJ/AJGB/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	./Build && ./Build test
+}
+
+package() {
+	cd "$_builddir"
+	./Build install destdir="$pkgdir" || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="d87b7782bb7b38b2365a795116294b3a  AnyEvent-InfluxDB-0.13.tar.gz"
+sha256sums="201d90d2681fe07afda28e0c76abb395a08595e170e063d302a56f422a74820f  AnyEvent-InfluxDB-0.13.tar.gz"
+sha512sums="ca097ee4638af9f9e5eca33ea1aa96557d85f9c94959116c37e7b9416a34571ed0d1d50523618262a6d96092d64282d901ae9e133a10b7983450188b03bae492  AnyEvent-InfluxDB-0.13.tar.gz"
-- 
2.9.3

---

---

From: Nick Andrew <[email-masked]>
Date: Sat, 13 Aug 2016 14:56:08 +0000

http://search.cpan.org/~tyemq/Algorithm-Diff-1.1903
Compute `intelligent' differences between two files / lists
---
 testing/perl-algorithm-diff/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-algorithm-diff/APKBUILD

diff --git a/testing/perl-algorithm-diff/APKBUILD b/testing/perl-algorithm-diff/APKBUILD
new file mode 100644
index 0000000..7df19d9
--- /dev/null
+++ b/testing/perl-algorithm-diff/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <[email-masked]>
+# Maintainer: Nick Andrew <[email-masked]>
+pkgname=perl-algorithm-diff
+_pkgreal=Algorithm-Diff
+pkgver=1.1903
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Algorithm-Diff/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/T/TY/TYEMQ/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="0e8add21a641b8d66436df0c2024bf3b  Algorithm-Diff-1.1903.tar.gz"
+sha256sums="30e84ac4b31d40b66293f7b1221331c5a50561a39d580d85004d9c1fff991751  Algorithm-Diff-1.1903.tar.gz"
+sha512sums="61632be4c19a03ccacaa218ab7cb8bdbc53a4a6030b8173a59c7611056375536788392c1da00ab88f3df9884fc8a67825efc83b70e2e564664d5187021d6b106  Algorithm-Diff-1.1903.tar.gz"
-- 
2.9.3

---

---

From: Sören Tempel <[email-masked]>
Date: Sun, 14 Aug 2016 16:49:04 +0200

This aport is already in community.

Sören.

---

---

From: Nick Andrew <[email-masked]>
Date: Tue, 16 Aug 2016 09:54:09 +1000

> This aport is already in community.

So it is. I don't know how I didn't spot that.

Nick.

---

---

From: Nick Andrew <[email-masked]>
Date: Sat, 13 Aug 2016 14:56:10 +0000

http://search.cpan.org/~mlehmann/AnyEvent-7.12
The DBI of event loop programming
---
 testing/perl-anyevent/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-anyevent/APKBUILD

diff --git a/testing/perl-anyevent/APKBUILD b/testing/perl-anyevent/APKBUILD
new file mode 100644
index 0000000..754b0f8
--- /dev/null
+++ b/testing/perl-anyevent/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <[email-masked]>
+# Maintainer: Nick Andrew <[email-masked]>
+pkgname=perl-anyevent
+_pkgreal=AnyEvent
+pkgver=7.12
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/AnyEvent/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="3c7054fc2c1d93b985d63c13d37d3369  AnyEvent-7.12.tar.gz"
+sha256sums="7893a7e5d65e6bc34479712235baccb739837c336fb9eb70193141532e95737d  AnyEvent-7.12.tar.gz"
+sha512sums="a508024ee207dd227d81544d0796672587125698034317d6d1e50a22395358fbf62001b17d0e7f3bc7ea4be69b1004f563cdf7097ac67b10a4a43545a9d2273c  AnyEvent-7.12.tar.gz"
-- 
2.9.3

---

---

From: Nick Andrew <[email-masked]>
Date: Sat, 13 Aug 2016 14:56:11 +0000

http://search.cpan.org/~mlehmann/AnyEvent-HTTP-2.22
Simple but non-blocking HTTP/HTTPS client
---
 testing/perl-anyevent-http/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-anyevent-http/APKBUILD

diff --git a/testing/perl-anyevent-http/APKBUILD b/testing/perl-anyevent-http/APKBUILD
new file mode 100644
index 0000000..00e53d7
--- /dev/null
+++ b/testing/perl-anyevent-http/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <[email-masked]>
+# Maintainer: Nick Andrew <[email-masked]>
+pkgname=perl-anyevent-http
+_pkgreal=AnyEvent-HTTP
+pkgver=2.22
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/AnyEvent-HTTP/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-dancer-plugin-swig perl-anyevent"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="e27736c4592031adccfa0638419a3b70  AnyEvent-HTTP-2.22.tar.gz"
+sha256sums="864544a4f35b3f14b59f42a26d338d98cfe8fae726eb3578dcf36eed0df5aa6e  AnyEvent-HTTP-2.22.tar.gz"
+sha512sums="3408b5339cc85e8d37dc6c4f40a0f1ad9436fb9b261e6a14b5a7913f8ee6c2ba7e80aec376af48190c76219fbcadf9c68c2d67c4ab60c77044093f6ec70f4aac  AnyEvent-HTTP-2.22.tar.gz"
-- 
2.9.3

---

---

From: Nick Andrew <[email-masked]>
Date: Sat, 13 Aug 2016 14:56:13 +0000

---
 testing/perl-mojolicious/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/testing/perl-mojolicious/APKBUILD b/testing/perl-mojolicious/APKBUILD
index 6534bd1..a863c66 100644
--- a/testing/perl-mojolicious/APKBUILD
+++ b/testing/perl-mojolicious/APKBUILD
@@ -3,7 +3,7 @@
 # Maintainer: Francesco Colista <[email-masked]>
 pkgname=perl-mojolicious
 _pkgreal=Mojolicious
-pkgver=6.66
+pkgver=7.01
 pkgrel=0
 pkgdesc="Real-time web framework"
 url="http://search.cpan.org/dist/Mojolicious/"
@@ -37,6 +37,6 @@ package() {
 	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
 }
 
-md5sums="037c5baa6f95aef60eded5ae3348cb5d  Mojolicious-6.66.tar.gz"
-sha256sums="3f847f5391247afacb03e1673aa652746f5b054ee0dd65228aae1bcecc7a0f8f  Mojolicious-6.66.tar.gz"
-sha512sums="a135e84971086b0368c4e0528019798a5a703b6cf08efa78ef4711320ef59499e7eb03aa3434c11f331e5580d62d603582dac8c52275da8c509b04f80fdbb116  Mojolicious-6.66.tar.gz"
+md5sums="4084a7c4b78fb86a8df38fa94168ea63  Mojolicious-7.01.tar.gz"
+sha256sums="82c5528703bd3da9dea3d8048ad10feb54ecfe1a971f1e6bf06ff028e682625f  Mojolicious-7.01.tar.gz"
+sha512sums="7f31f37134645b5982ea571f6fffe98b1a02c2006c3c9d0b6b0b243474dbb54f725a73f740566501ce7d0e07473cb47d959d3c4c68382adc42f59dddf62bc8ad  Mojolicious-7.01.tar.gz"
-- 
2.9.3

---